APCIterator::rewind
APD
APCIterator
PHP Manual

# APCIterator::valid

(PECL apc >= 3.1.1)

APCIterator::valid — Checks if current position is valid

### Description

public void APCIterator::valid ( void )

Checks if the current iterator position is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current iterator position is valid, otherwise `FALSE`.

### See Also

- APCIterator::current - Get current item
- Iterator::valid - Checks if current position is valid

APCIterator::rewind
APD
APCIterator
PHP Manual